PKGKDE-OVERRIDE-SC-DEV-LATEST(1)

NAME
pkgkde-override-sc-dev-latest - loosen kde-sc-dev-latest Break restrictions

SYNOPSIS
pkgkde-override-sc-dev [-bbase_version] [-vversion]

DESCRIPTION
pkgkde-override-sc-dev-lastest is a helper utility which can be used to generate a dummy kde-sc-dev-latest package without Breaks field that is present in the original version. Original kde-sc-dev-latest package is used to force KDE Software Compilation modules to be built against the latest version of the KDE Development Platform modules without bumping versions of a bunch build dependencies for each KDE SC module. However, while original kde-sc-dev-latest does not cause problems when building in clean chroots, the restrictions imposed by its Breaks field might be undesirable on the maintainer system when:

•   the maintainer wants to (test)build KDE module version X.Y.A against KDE Development Platform X.Y.B where (A > B);

•   the maintainer builds a new upstream version of the some KDE Development Platform module on the system that has an old version of some KDE Development Platform packages installed. For example, even if kdepimlibs does not build depend on kdebase-workspace-dev, original kde-sc-dev-latest may prevent kdepimlibs X.Y.A to be built on the system which has kdebase-workspace X.Y.B (where A > B) installed.

By default, pkgkde-override-sc-dev-latest generates a dummy kde-sc-dev-latest package in the current working directory that is based on the current "candidate" version of the original kde-sc-dev-latest (as per apt-cache policy). You may specify a base version with the -b option. The resulting dummy kde-sc-dev-latest override package will have "base_version+override" as its version unless another one is specified with -v option. Once the package is generated, you can install it like:

  # dpkg --install kde-sc-dev_<version>+override_all.deb

OPTIONS

-bbase_version, --basever=base_version
    The version of the original kde-sc-dev-latest package to base an override package on. It must be available in the APT database on the system. You may also pass special value "latest" to select the latest available version in the APT database. If you specify "priority", the latest version with the highest priority will be selection. By default (if this option is not specified), candidate version is selected

-vversion, --version=version
    Generate an override package with the specified "version+override" rather than default "base_version+override" version.

AUTHOR
Modestas Vainius <modax@debian.org>